=== modified file 'databas.sql'
--- databas.sql	2013-05-14 10:00:12 +0000
+++ databas.sql	2013-05-16 09:19:01 +0000
@@ -8,7 +8,9 @@
 CREATE  TABLE IF NOT EXISTS `lenasys`.`Courses` (
   `courseID` VARCHAR(10) NOT NULL ,
   `name` VARCHAR(45) NULL ,
-  `courseData` VARCHAR(128) NULL , -- explenation about course, example: G1N 7,5hp  + additional text
+  `courseData` VARCHAR(128) NULL , -- explanation about course, example: G1N 7,5hp  + additional text
+  `hidden` BIT(1) NOT NULL DEFAULT 0 ,
+  `published` BIT(1) NOT NULL DEFAULT 1 ,
   PRIMARY KEY (`courseID`))
 ENGINE = InnoDB;
 
@@ -31,6 +33,20 @@
   REFERENCES `lenasys`.`Courses` (`courseID`)ON UPDATE CASCADE ON DELETE CASCADE)
 ENGINE = InnoDB;
 
+-- -----------------------------------------------------
+-- Table `lenasys`.`Permissions`
+-- -----------------------------------------------------
+CREATE  TABLE IF NOT EXISTS `lenasys`.`Permissions` (
+  `courseID` VARCHAR(10) NOT NULL ,
+  `userName` VARCHAR(20) NOT NULL ,
+  PRIMARY KEY (`courseID`, `userName`) ,
+    FOREIGN KEY (`courseID` )
+    REFERENCES `lenasys`.`Courses` (`courseID` )
+	ON UPDATE CASCADE ON DELETE CASCADE,
+    FOREIGN KEY (`userName` )
+    REFERENCES `lenasys`.`Users` (`userName` )
+	ON UPDATE CASCADE ON DELETE CASCADE)
+ENGINE = InnoDB;
 
 
 

